Module org.hdfgroup.hdfview
Package hdf.view

# Enum Class ViewProperties.DATA_VIEW_KEY

Object
Enum<ViewProperties.DATA_VIEW_KEY>
hdf.view.ViewProperties.DATA_VIEW_KEY

All Implemented Interfaces:
  `Serializable`, `Comparable<ViewProperties.DATA_VIEW_KEY>`, `Constable`

Enclosing class:
  `ViewProperties`

public static enum ViewProperties.DATA_VIEW_KEY extends Enum<ViewProperties.DATA_VIEW_KEY>
Property keys control how the data is displayed.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BITMASK`
  `BITMASKOP`
  `BORDER`
  `CHAR`
  `CONVERTBYTE`
  `INDEXBASE1`
  `INFO`
  `OBJECT`
  `READONLY`
  `TRANSPOSED`
  `VIEW_NAME`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ViewProperties.DATA_VIEW_KEY`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ViewProperties.DATA_VIEW_KEY[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CHAR

    public static final ViewProperties.DATA_VIEW_KEY CHAR

  - ### CONVERTBYTE

    public static final ViewProperties.DATA_VIEW_KEY CONVERTBYTE

  - ### TRANSPOSED

    public static final ViewProperties.DATA_VIEW_KEY TRANSPOSED

  - ### READONLY

    public static final ViewProperties.DATA_VIEW_KEY READONLY

  - ### OBJECT

    public static final ViewProperties.DATA_VIEW_KEY OBJECT

  - ### BITMASK

    public static final ViewProperties.DATA_VIEW_KEY BITMASK

  - ### BITMASKOP

    public static final ViewProperties.DATA_VIEW_KEY BITMASKOP

  - ### BORDER

    public static final ViewProperties.DATA_VIEW_KEY BORDER

  - ### INFO

    public static final ViewProperties.DATA_VIEW_KEY INFO

  - ### INDEXBASE1

    public static final ViewProperties.DATA_VIEW_KEY INDEXBASE1

  - ### VIEW_NAME

    public static final ViewProperties.DATA_VIEW_KEY VIEW_NAME

- ## Method Details

  - ### values

    public static ViewProperties.DATA_VIEW_KEY[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ViewProperties.DATA_VIEW_KEY valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null